org.eclipse.wst.jsdt.chromium.debug.core.model

## Class HardcodedSourceWrapProvider

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.HardcodedSourceWrapProvider

All Implemented Interfaces:
  IPredefinedSourceWrapProvider

    public class HardcodedSourceWrapProvider
    extends java.lang.Object
    implements IPredefinedSourceWrapProvider

Provides a set of standard known source wrappers (for example for Node.JS).

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.debug.core.model.IPredefinedSourceWrapProvider

`IPredefinedSourceWrapProvider.Access, IPredefinedSourceWrapProvider.Entry`

### Constructor Summary

Constructors
Constructor and Description
`HardcodedSourceWrapProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Collection<IPredefinedSourceWrapProvider.Entry>` `getWrappers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HardcodedSourceWrapProvider

    public HardcodedSourceWrapProvider()

### Method Detail

#### getWrappers

    public java.util.Collection<IPredefinedSourceWrapProvider.Entry> getWrappers()

Specified by:
  `getWrappers` in interface `IPredefinedSourceWrapProvider`